# SourcePath: iptables/20170515dev
Summary: Tools for managing Linux kernel packet filtering capabilities.
Name: sony-target-dev-iptables
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-iptables
Version: 1.6.1
Release: 14020002
Source: iptables-%{version}.tar.bz2
Patch1 : iptables-1.4.18-iptable-xml-link-fix.patch
License: GPL2
URL: http://www.netfilter.org/projects/iptables/
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}


%description
Tools found in this package are used to set up, maintain, and inspect the
iptables-based IP packet filtering rules in the Linux kernel.

# iptables

%package -n %{pkgname}
Summary: Tools for managing Linux kernel packet filtering capabilities.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Tools found in this package are used to set up, maintain, and inspect the
iptables-based IP packet filtering rules in the Linux kernel.


%prep
%setup -n iptables-%{version}
%patch1 -p1

%build
%sony_target_dev_setup
%sony_target_dev_configure --libexecdir=%{sony_target_dev_dir}/lib \
 | tee ../build.log

make 

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall BINDIR=%{sony_target_dev_bin_dir} | tee -a build.log
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man/*


%demangle_libtool

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_lib_dir}/*.so*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*.la
%{sony_target_dir}%{sony_target_dev_include_dir}/libiptc/*.h
%{sony_target_dir}%{sony_target_dev_include_dir}/xtables.h
%{sony_target_dir}%{sony_target_dev_include_dir}/xtables-version.h
%{sony_target_dir}%{sony_target_dev_lib_dir}/xtables/* 
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ip6tables
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iptables
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iptables-restore
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iptables-save
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ip6tables-restore
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ip6tables-save
%{sony_target_dir}%{sony_target_dev_sbin_dir}/xtables-multi
%{sony_target_dir}%{sony_target_dev_bin_dir}/iptables-xml
%{sony_target_dir}%{sony_target_dev_prefix}/etc/ethertypes
%{sony_target_dir}%{sony_target_dev_sbin_dir}/arptables-compat
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ebtables-compat
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ip6tables-compat
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ip6tables-compat-restore
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ip6tables-compat-save
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ip6tables-restore-translate
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ip6tables-translate
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iptables-compat
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iptables-compat-restore
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iptables-compat-save
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iptables-restore-translate
%{sony_target_dir}%{sony_target_dev_sbin_dir}/iptables-translate
%{sony_target_dir}%{sony_target_dev_sbin_dir}/xtables-compat-multi
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/xtables.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libiptc.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libip4tc.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libip6tc.pc


%changelog
* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Wed Apr 19 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Mon May 15 2017 Sony Corporation
- Initial build
